"""
Expressions that should be removed from the data
Distort the word embedding if included
Customized list, after inspection of corpora
Parts of headers and footers, disclaimers
"""

CLIST = []
# Anarchy Library
CLIST.append('Live Chat (IRC)')
CLIST.append('About the project\nAnnouncements archive\nDistribution')
CLIST.append('Bookshelf (wiki)')
CLIST.append('Recompiling the formats')
CLIST.append('RSS feed')
CLIST.append('De Anarchistische Bibliotheek')
CLIST.append('Det Anarkistiske Bibliotek')
CLIST.append('Bibliothèque Anarchiste')
CLIST.append('Anarchistische Bibliothek')
CLIST.append('Анархистичка библиотека')
CLIST.append('Det Anarkistiska Biblioteket')
CLIST.append('Anarhistička biblioteka')
CLIST.append('Biblioteca anarchica')
CLIST.append('Biblioteca anarquista')
CLIST.append('Anarkistinen kirjasto')
CLIST.append('Библиотека Анархизма')
CLIST.append('Table of Contents\n')
CLIST.append('Archive\n')
CLIST.append('Titles\n')
CLIST.append('Authors\n')
CLIST.append('Topics\n')
CLIST.append('Latest entries\n')
CLIST.append('Real time help\n')
CLIST.append('More\n')
CLIST.append('About the project\n')
CLIST.append('Announcements archive\n')
CLIST.append('Distribution\n')
CLIST.append('The Torrent: 2019, winter\n')
CLIST.append('Other languages\n')
CLIST.append('Random article')
# clist.append('')
CLIST.append('Bookbuilder\n')
CLIST.append('Add a new text\n')
CLIST.append('Redirect to:')
CLIST.append('Create account')
CLIST.append('New pages')
CLIST.append('Random pageHelp')
CLIST.append('Random\n')
CLIST.append('Mobile applications\n')
# Long expressions first
CLIST.append('Privacy policy About Metapedia Disclaimers')
CLIST.append(
    'Unless explicitly noted otherwise, all content licensed as indicated by RationalWiki:Copyrights')
CLIST.append(
    'Technical support Mod noticeboard Twitter Facebook Discord Reddit')
CLIST.append(
    'Donate to Metapedia: The Internet is the foremost field in the metapolitical battle of our time. Help us hold down the front.')
CLIST.append(
    'For concerns on copyright infringement please see: RationalWiki:Copyright violationsPrivacy policyAbout RationalWikiDisclaimers')
CLIST.append('Read View source View history')
CLIST.append('Main Page')
CLIST.append('Recent changes')
CLIST.append('New Pages')
CLIST.append('Random page')
CLIST.append('Statistics')
CLIST.append('Related changes')
CLIST.append('Special pages')
CLIST.append('Printable version')
CLIST.append('Permanent link')
CLIST.append('Page information')
CLIST.append('This page was last modified on')
CLIST.append('This page has been accessed')
CLIST.append('This page was last edited on')
CLIST.append('Privacy policy')
CLIST.append('About Conservapedia Disclaimers')
CLIST.append('About Metapedia Disclaimers')
CLIST.append('Mobile view')
CLIST.append('Log in')
CLIST.append('Fun page Talk')
CLIST.append('User page Talk')
CLIST.append('Template talk')
CLIST.append('Page Talk')
CLIST.append('Page talk page')
CLIST.append('Category talk page')
CLIST.append('Create Account')
# LessWrong/Rationalists
CLIST.append('Not logged in')
CLIST.append('Talk Contributions')
CLIST.append('Read Edit')
CLIST.append('Add topic Fossil record')
CLIST.append('Fossil record')
CLIST.append('Main page')
CLIST.append('All logs')
CLIST.append('Help Donate')
CLIST.append('Saloon barTo do list')
CLIST.append('What is going on?Best of RationalWiki')
CLIST.append('About RationalWiki')
CLIST.append('What links here')
CLIST.append('v - t - e')
# Marxist Library
CLIST.append('Marx/Engels Image Library')
CLIST.append('All Rights Reserved')
CLIST.append('Webmaster')
CLIST.append('Comments to Andy Blunden')
CLIST.append('M.I.A. Home Page')
# Metapedia
CLIST.append('Community portal')
CLIST.append('Page Discussion')
CLIST.append('/bin/bash: convert: command not found')
# Wikipedia Footers
CLIST.append(
    'By using this site you agree to the Terms of Use and Privacy Policy.')
CLIST.append(
    'Wikipedia® is a registered trademark of the Wikimedia Foundation, Inc., a non-profit organization')
CLIST.append(
    'Disambiguation pages providing links to topics that could be referred to by the same search term')
CLIST.append(
    'This disambiguation page lists articles associated with the title')
CLIST.append('Place name disambiguation pages')
CLIST.append('Plant common name disambiguation pages')
CLIST.append('Disambiguation pages with short description')
CLIST.append('All article disambiguation pages')
CLIST.append('All disambiguation pages')
CLIST.append('Disambiguation page')
CLIST.append('Article Talk')
CLIST.append('View history')
CLIST.append('Contents Featured content')
CLIST.append('Donate to Wikipedia')
CLIST.append('Wikipedia store')
CLIST.append('Help About Wikipedia')
CLIST.append('Contact page')
CLIST.append('Upload file')
CLIST.append('Wikidata item')
CLIST.append('Cite this page')
CLIST.append('Create a book')
CLIST.append('Download as PDF')
CLIST.append(
    'Text is available under the Creative Commons Attribution-ShareAlike License')
CLIST.append('additional terms may apply')
CLIST.append('About Wikipedia Disclaimers')
CLIST.append('Contact Wikipedia Developers')
CLIST.append('Cookie statement')
CLIST.append('Wiktionary, the free dictionary')
CLIST.append(
    'If an internal link led you here, you may wish to change the link to point directly to the intended article')
CLIST.append('PortalsAccess')
CLIST.append('Find out more on Wikipedia\'sSister projects')
CLIST.append('News storiesfrom Wikinews')
CLIST.append('Mediafrom Commons')
CLIST.append('Quotationsfrom Wikiquote')
CLIST.append('Source textsfrom Wikisource')
CLIST.append('Datafrom Wikidata')
CLIST.append('Wikimedia Commons has media related to')
CLIST.append('Notable people with the surname include')
CLIST.append('All stub articles')
CLIST.append('Shipbuildinghistory.com')
CLIST.append('mw-parser-output')
CLIST.append('cite.citation')
CLIST.append('font-style')
CLIST.append('cs1-lock-free')
CLIST.append(
    '/upload.wikimedia.org/wikipedia/commons/thumb/6/65/Lock-green.svg/9px-Lock-green.svg.png')
CLIST.append('background-position')
CLIST.append('cs1-lock-limited')
CLIST.append('cs1-lock-registration')
CLIST.append('cs1-subscription')
CLIST.append('cs1-registration')
CLIST.append('font-size')
CLIST.append('cs1-visible-error')
CLIST.append('plimsollshipdata.org')
CLIST.append('doi')
CLIST.append('src')
CLIST.append('https')
CLIST.append('font-face')
CLIST.append('Specifications Configuration')
CLIST.append('arXiv')
CLIST.append('Bibcode')
CLIST.append('score Aggregator Score Metacritic')
CLIST.append('january')
CLIST.append('february')
CLIST.append('march')
CLIST.append('april')
CLIST.append('may')
CLIST.append('june')
CLIST.append('july')
CLIST.append('august')
CLIST.append('september')
CLIST.append('october')
CLIST.append('november')
CLIST.append('december')
CLIST.append('article needs additional')
CLIST.append('hrvatski')
CLIST.append('You can help Metapedia by expanding it')
CLIST.append('citation needed')
CLIST.append('external link')
CLIST.append('Terms of Use')
CLIST.append('Privacy Policy')
CLIST.append('rmir')
# MDocs
CLIST.append('See also')
CLIST.append('Personal tools')
CLIST.append('Namespace')
CLIST.append('Variants')
CLIST.append('Navigation Tools')
CLIST.append('Navigation menu')
CLIST.append('Article archives')
CLIST.append('In other languages')
# Cdocs
CLIST.append('Search\n')
CLIST.append('Popular Links donate')
CLIST.append('Edit Console')
CLIST.append('References')
CLIST.append('View More')
CLIST.append('excerpt and text search')
# clist.append('')
CLIST.append('References')
CLIST.append('Views More')
CLIST.append('excerpt and text search')
CLIST.append('External links')
CLIST.append('online edition')
# clist.append('')
# clist.append('')
# clist.append('')
# clist.append('')
# clist.append('')
# clist.append('')
